View Issue Details

IDProjectCategoryView StatusLast Update
0000331Far Manager 1.7xPlugins API.Dialogpublic2007-12-04 02:32
ReporterDrKnSAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version2003 SP2
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000331: DI_COMBOBOX: изменение текста в поле ввода при изменении списка
DescriptionПо мотивам #293:

Тестовый плагин в аттаче.

Вызываем плагин, открываем комбо, нажимаем Ins по очереди на элементах списка, видим, что имя изменённого элемента копируется в поле ввода, хотя об этом не просили.
TagsNo tags attached.
Build2301

Activities

vskirdin

2007-09-12 13:50

administrator   bugnote:0000639

тест выслан на мыло. проверяем

DrKnS

2007-09-13 15:58

administrator   bugnote:0000640

С этим вроде всё ок.

Но всплыло ещё:
Тестовый плагин в аттаче. В комбобоксе обрабатываются Del (удаляет текущий пункт) и F8 (удаляет всё).

1.Удаляем элементы по одному, нажимая Del. После удаления последнего элемента комбо не перерисовывается.
2. Удаляем всё сразу, нажав F8. Удаление сработало, комбо не перерисовалось.

2007-12-03 08:40

 

combo3.rar (1,536 bytes)

Issue History

Date Modified Username Field Change
2007-09-07 15:42 DrKnS New Issue
2007-09-07 15:42 DrKnS File Added: combo.rar
2007-09-09 06:39 vskirdin Status new => assigned
2007-09-09 06:39 vskirdin Assigned To => vskirdin
2007-09-12 13:50 vskirdin Note Added: 0000639
2007-09-12 13:50 vskirdin Status assigned => feedback
2007-09-13 15:58 DrKnS Note Added: 0000640
2007-09-13 15:58 DrKnS File Added: combo2.rar
2007-12-03 07:55 vskirdin File Deleted: combo2.rar
2007-12-03 07:55 vskirdin File Deleted: combo.rar
2007-12-03 08:40 DrKnS File Added: combo3.rar
2007-12-03 12:38 DrKnS Status feedback => resolved
2007-12-03 12:38 DrKnS Resolution open => fixed
2007-12-04 02:32 vskirdin Build => 2301
2007-12-04 02:32 vskirdin Status resolved => closed
2007-12-04 02:32 vskirdin Fixed in Version => 1.71